﻿using UnityEngine;
using System.Collections;

public class MouseManager : MonoBehaviour {

	// Use this for initialization
	void Start () {
	
	}

    public GameObject thePrefabToSpawn;
	
	// Update is called once per frame
	void Update () {
	
        // Was the mouse pressed down this frame?

        if(Input.GetMouseButtonDown(0))
        {
            // Yes, the left mouse button was pressed this frame
            // Is the mouse over a cube

            Camera theCamera = Camera.main;

            Ray ray = theCamera.ScreenPointToRay( Input.mousePosition );

            RaycastHit hitInfo;

            if( Physics.Raycast( ray, out hitInfo ) )
            {
                Debug.Log("Yes, we hit: " + hitInfo.collider.gameObject.name );

                // Now let's spawn a new object

                Vector3 spawnSpot = hitInfo.point;

                Instantiate( thePrefabToSpawn, spawnSpot, Quaternion.identity );
            }
        }


	}

}
